Subject: Re: [PATCH] send-email: Clear To: field for every mail

From: viresh kumar <[email-masked]>
Date: Mon, 4 Oct 2010 13:19:56 +0530

On 10/04/2010 12:39 PM, Junio C Hamano wrote:
> Heh, are people who send patches with only S-o-b by your definition not
> testing their patches at all ;-)?  As far as I can tell, your patch
> applied to 'next' will break t9001 rather badly.
> 
> I agree there is a bug that you are trying to address in the series by
> Stephen that keeps adding To: address that is read from an earlier output
> of format-patch created with its --to option, but I do not think this is a
> right fix.  Have you tested sending a series with a plain format-patch
> output without extraneous To:, Cc: and such headers?
> 
> A normal send-email session takes the recipient address from either --to
> or interactively upfront, and then use those addresses kept in @to
> variable in the loop, repeatedly.  I do not see anything in your patch to
> avoid losing these addresses.

Junio, Stephan,

Ya! my patch wasn't good enough. I just tried to solve it the way it was done
for cc.

-- 
viresh